--
-- Hakenlift_Object
-- BaseClass for all Hakenlift Attachments
--
-- @author  Manuel L. (1.LS-Modschmiede)
-- @date  30/09/08

HakenLift_Object = {};

function HakenLift_Object.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Trailer, specializations);
end;

function HakenLift_Object:load(xmlFile)

    

    self.fillScale = Utils.getNoNil(getXMLFloat(xmlFile, "vehicle.fillScale#value"), 1);
	self.name = Utils.getNoNil(getXMLString(xmlFile, "vehicle.name."..g_languageShort), "Objekt");
    delete(xmlFile);
	
	-- set FILLTYPE_WHEAT = false is needed to get no dumping option without a trailer 
	self.currentFillType = self.FILLTYPE_UNKNOWN;
	
	self.realFillType = self.FILLTYPE_WHEAT;
	
	self.hakenliftObject = true;

	
    return self;
end;

function Hakenlift_Object:delete()
    trailer.delete(self);
end;

function Hakenlift_Object:mouseEvent(posX, posY, isDown, isUp, button)
    trailer.mouseEvent(self, posX, posY, isDown, isUp, button);
end;

function Hakenlift_Object:keyEvent(unicode, sym, modifier, isDown)
    trailer.keyEvent(self, unicode, sym, modifier, isDown);
end;

function Hakenlift_Object:update(dt)
	
	if self.attacherVehicle ~= nil then
		if self.attacherVehicle.isHakenlift == nil then
			self.attacherVehicle:handleDetachTrailerEvent();
		end;
	end;
		
	self.firstTimeRun = false;	
	
	trailer.update(self, dt);
	self.currentFillType = self.FILLTYPE_UNKNOWN;
end;

function Hakenlift_Object:draw()
    trailer.draw(self);
end;


function Hakenlift_Object:onDetach()
    Trailer.onDetach(self);
end;


function Hakenlift_Object:toggleTipState()
end;